#!BPY
# $Id$


"""
Name: 'Cal3D v10.0 (blendercal)'
Blender: 0
Group: 'Export'
Tip: 'Export armature/bone/mesh/action data to the Cal3D format.'
"""

# Copyright (C) 2003-2006 Jean-Baptiste LAMY -- jibalamy@free.fr
# Copyright (C) 2004 Matthias Braun          -- matze@braunis.de
# Copyright (C) 2006 Loic Dachary            -- loic@gnu.org
# Copyright (C) 2006 Jeremy Moles            -- jeremy@emperorlinux.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

try:
	import psyco
	
	psyco.full()

except ImportError:
	print "cal3d-export.py: Psyco not found (non-fatal)."

import Blender
import blendercal
import blendercal.bcdata
import blendercal.bclog
import sys
import os

__version__ = blendercal.VERSION
__author__  = blendercal.AUTHOR
__email__   = blendercal.EMAIL
__url__     = blendercal.URL
__bpydoc__  = blendercal.DOC

if __name__ == "__main__":
	blendercal.bclog.init()
	
	skeldata = blendercal.bcdata.SkeletonData()
	meshdata = blendercal.bcdata.MeshData()
	animdata = blendercal.bcdata.AnimationData()

	blendercal.bcdata.ExportData(
		"/home/cubicool/foo/wee.cfg",
		skeldata,
		meshdata,
		animdata
	)
